Subject: Why won't #!/bin/sh scripts run on their own?
From: [email-masked] ("John A. Lewis")

13 Apr 1997 00:36:43 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 4.0b2 (Win95; I)
Original-To: [email-masked]
X-Priority: 3 (Normal)
Original-Sender: [email-masked]

Sorry for the bandwidth, but I can't find a reference to this problem
anywhere in the FAQ, docs, or ml archive.

My shell scripts which have the #! declaration on the first line show up
in 'ls -l' as executable, but when I try to invoke them, they wont run. 
Here is a session that demonstrates the problem:

/home> ls -l
total 1
-rwxr-xr-x   1 500      everyone       24 Apr 12 23:47 test.sh
/home> cat test.sh
#!/bin/sh
echo testing!
/home> /bin/sh test.sh
testing!
/home> sh test.sh
testing!
/home> test.sh
BASH.EXE: ./test.sh: No such file or directory
/home>

Anyone have any ideas how to fix this?

This is happening under Win95 at home.  I am also running the same
install under NT 4.0 at work, and this problem doesn't show up.

Thanks!

John A. Lewis ([email-masked])
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".